Download it now!
Bug 127240 - installer text not fully visible
Summary: installer text not fully visible
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
6.3.1.1 rc
Hardware: All Windows (All)
: medium minor
Assignee: Roman Kuznetsov
URL:
Whiteboard: target:6.4.0 target:6.3.2
Keywords: bibisectNotNeeded, regression
Depends on:
Blocks: Installer-Windows
  Show dependency treegraph
 
Reported: 2019-08-30 12:37 UTC by Jared
Modified: 2019-09-01 07:18 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshots (53.00 KB, image/jpeg)
2019-08-30 12:37 UTC, Jared
Details
repair/modify dialog screenshot (59.42 KB, image/jpeg)
2019-08-30 12:39 UTC, Jared
Details
6.4-alpha checks out ok on this dialog screen (53.78 KB, image/jpeg)
2019-08-30 15:25 UTC, Jared
Details
6.4-alpha still has a text crop on this dialog window (43.65 KB, image/jpeg)
2019-08-30 15:25 UTC, Jared
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jared 2019-08-30 12:37:11 UTC
Created attachment 153752 [details]
screenshots

in the 6.3.1.1 Installer (Winx64) there is text which is cropped and not fully visible.
Note: I'm viewing this on a 1080HD monitor, but the 125% scaling may have something to do with this.
Comment 1 Jared 2019-08-30 12:39:49 UTC
Created attachment 153753 [details]
repair/modify dialog screenshot

further testing does not confirm that resolution scaling contributes to this
Comment 3 Jared 2019-08-30 15:23:58 UTC
(In reply to Roman Kuznetsov from comment #2)
> Jared, can you test current master 6.4?
> 
> https://dev-builds.libreoffice.org/daily/master/Win-x86@62-TDF/2019-08-28_15.
> 45.26/master~2019-08-28_15.45.26_LibreOfficeDev_6.4.0.0.alpha0_Win_x86_en-
> US_de_ar_ja_ru_vec_qtz.msi
> 
> Font of radiobutton I have fixed in 6.4

Thanks Roman for providing that dev build.

The initial screen checks out for me--the font size is smaller and nothing is trimmed off. The final dialog ("Ready to Install the Program"), still has a text line which is cropped. 

I will attach both screenshots from 6.4.0.0.alpha0
Comment 4 Jared 2019-08-30 15:25:10 UTC
Created attachment 153759 [details]
6.4-alpha checks out ok on this dialog screen
Comment 5 Jared 2019-08-30 15:25:48 UTC
Created attachment 153760 [details]
6.4-alpha still has a text crop on this dialog window
Comment 6 Commit Notification 2019-09-01 06:08:22 UTC
Roman Kuznetsov committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/5ce360777a9c24db61d9f3c5469bd6265b6b7b5b%5E%21

tdf#127240 Increase a height of checkbox's text in win installer

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-09-01 07:18:59 UTC
Roman Kuznetsov committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/3ebbaa90cc6fa6e0a6e5a620406ef050a8a55612%5E%21

tdf#127240 Increase a height of checkbox's text in win installer

It will be available in 6.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.